[Interest] Building Qt from Git: Information on version of external libraries

Konstantin Tokarev annulen at yandex.ru
Thu Aug 22 16:07:28 CEST 2019



22.08.2019, 17:01, "Rainer Wiesenfarth" <rainer_wiesenfarth at trimble.com>:
> Hi all,
>
> I am trying to build Qt (in my case: 5.12.4) from Git and came along the external ICU and OpenSSL libraries. Is there any page telling which version of the external libraries was used when building Qt?

When building Qt from sources you should better use newest available version, e.g. 64.1 for ICU. It doesn't really matter what version is used in official binaries.

>
> In detail: With Qt 5.6.2, I used ICU version 57.x. Since then, ICU seemed to change quite a bit (at least with version 60, introducing namespaces). Thus I was wondering if I should use ICU version 62-1, which was the latest version when 5.12.0-alpha1 came out or if I should go back to ICU version 59.
>
> The same happens for OpenSSL, and maybe also for other libraries. I would like to see a page telling me which versions the Qt team used when they built their binary packages...
>
> Cheers, Rainer
> ,
>
> _______________________________________________
> Interest mailing list
> Interest at qt-project.org
> https://lists.qt-project.org/listinfo/interest


-- 
Regards,
Konstantin


More information about the Interest mailing list